
module screen_holder(height, screen_radius, thickness ) {
	difference () {
		    cylinder (h=height/2,r1=screen_radius/4,r2=screen_radius/4 - thickness,$fn=100);

		    translate ([0,screen_radius/4,2.5])
			    rotate ([90,0,0])
				    cylinder (h=screen_radius/2,r=3, $fn=100);

		    translate ([-screen_radius/4,0,2.5])
			    rotate ([0,90,0])
				    cylinder (h=screen_radius/2,r=3, $fn=100);
	}
}

screen_holder(10, 50, 1);
